EZ_GetParentWidget(3)

NAME
EZ_GetParentWidget, EZ_GetChildrenWidget, EZ_GetSiblingWidget
 - return neighboring widgets in the widget hierarchy

SYNOPSIS
#include <EZ.h>

EZ_Widget *EZ_GetParentWidget( EZ_Widget*widget)
EZ_Widget *EZ_GetChildrenWidget( EZ_Widget*widget)
EZ_Widget *EZ_GetSiblingWidget( EZ_Widget*widget)

ARGUMENTS
widget Specifies an EZ widget.

DESCRIPTION

Widgets in EZWGL are organized in linear trees. A widget has two links, the children link and the sibling link. Direct children of parent are linked in the sibling branch.
+-------+
| parent|
+-------+
   |
   v
+-------+     +-------+    +------------------+
|       | --> | child | -->| sibling-of-child | --> ...
+-------+     +-------+    +------------------+
   |             |                 |
   v             v                 v
  ...           ...               ...

These functions returns the neighboring widgets in a widget hierarchy.

SEE ALSO
EZ_CreateWidget(3), EZ_RemoveWidget(3), EZ_DestroyWidget(3)